Package org.jboss.modules

# Class NamedClassLoader

java.lang.Object
java.lang.ClassLoader
org.jboss.modules.NamedClassLoader

Direct Known Subclasses:
  `ConcurrentClassLoader`

public abstract class NamedClassLoader extends ClassLoader
A class loader that may be named. On Java 9 and later, the name will be propagated up to the JVM.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NamedClassLoader(ClassLoader parent, String name)`
Construct a new instance.
`protected`
`NamedClassLoader(String name)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the name of this class loader.

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NamedClassLoader

protected NamedClassLoader(ClassLoader parent, String name)
Construct a new instance.

Parameters:
  `parent` - the parent class loader (may be `null` to indicate that the platform class loader should be used)
  `name` - the name, or `null` if the class loader has no name

### NamedClassLoader

protected NamedClassLoader(String name)
Construct a new instance.

Parameters:
  `name` - the name, or `null` if the class loader has no name

## Method Details

### getName

public String getName()
Get the name of this class loader.

Overrides:
  `getName` in class `ClassLoader`
Returns:
  the name of this class loader, or `null` if it is unnamed